# CatAsk

## Installation
Clone this repository: `git clone https://git.gay/mst/catask.git`  
### VPS-specific
Go into the cloned repository, create a virtual environment and activate it:  
```python -m venv venv && . venv/bin/activate```  
Install required packages:  
```pip install -r requirements.txt```  
### Shared hosting-specific
If your shared hosting provider supports [WSGI](https://w.wiki/_vTN2), [FastCGI](https://w.wiki/9EeQ), or something similar, use it (technically any CGI protocol could work)

## Post-installation
Create a MySQL/MariaDB database and connect MDFlare to it (in `.env` file)  
Then init the database: `flask init-db`  
If that doesn't work, try importing schema.sql into the created database manually  

Rename `.env.example` to `.env`, configure all values there, and edit variable `fullBaseUrl` in `config.py` file  
Then run it:  
`flask run` or `gunicorn -w 4 app:app` (if you have gunicorn installed) or `python3 app.py`    
If you want it to be accessible on a specific host address, specify a `--host` option (e.g. `--host 0.0.0.0`) to `flask run`

## Usage
Works on `127.0.0.1:5000` (`flask run` or `python app.py`) or `127.0.0.1:8000` (`gunicorn -w 4 app:app`), may work in a production environment